#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-tasty-sugar-z-tasty-sugar-internal
version:              2.1.0.0
package-name:         tasty-sugar
lib-name:             tasty-sugar-internal
id:
    tasty-sugar-2.1.0.0-CjDWTRp7iM0BQNjWBszXlL-tasty-sugar-internal

key:
    tasty-sugar-2.1.0.0-CjDWTRp7iM0BQNjWBszXlL-tasty-sugar-internal

license:              ISC
copyright:            Kevin Quick, 2019-2022
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  770f0a489550f62d5062c26785adadeb
exposed-modules:
    Test.Tasty.Sugar.Analysis Test.Tasty.Sugar.AssocCheck
    Test.Tasty.Sugar.Candidates Test.Tasty.Sugar.ExpectCheck
    Test.Tasty.Sugar.Iterations Test.Tasty.Sugar.ParamCheck
    Test.Tasty.Sugar.Report Test.Tasty.Sugar.Types

import-dirs:          /usr/lib/ghc-9.0.2/site-local/tasty-sugar-2.1.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/tasty-sugar-2.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-sugar
hs-libraries:
    HStasty-sugar-2.1.0.0-CjDWTRp7iM0BQNjWBszXlL-tasty-sugar-internal

depends:
    base-4.15.1.0 containers-0.6.4.1 directory-1.3.6.2
    filemanip-0.3.6.3-CBmGxhpQpBIHDkFhPRACAp filepath-1.4.2.1
    kvitable-1.0.2.1-Ftr5eclMBJZzUbw0NkZ84
    logict-0.7.1.0-2e6296IAGzq1o1AwchyHgi
    microlens-0.4.13.1-AoR6D5midYZB5ErWoiySs4 mtl-2.2.2
    parallel-3.2.2.0-D2aleEa2VnPBr164BdKnms
    prettyprinter-1.7.1-9bwAyMlaUSyJVG7FMXWGKT text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tasty-sugar
version:              2.1.0.0
visibility:           public
id:                   tasty-sugar-2.1.0.0-6ccZonq3ovX8AAhblUmJHa
key:                  tasty-sugar-2.1.0.0-6ccZonq3ovX8AAhblUmJHa
license:              ISC
copyright:            Kevin Quick, 2019-2022
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  db31d2d8842c64f24e932e74cdb8497d
exposed:              True
exposed-modules:      Test.Tasty.Sugar
import-dirs:          /usr/lib/ghc-9.0.2/site-local/tasty-sugar-2.1.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/tasty-sugar-2.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-sugar
hs-libraries:         HStasty-sugar-2.1.0.0-6ccZonq3ovX8AAhblUmJHa
depends:
    base-4.15.1.0 containers-0.6.4.1 directory-1.3.6.2
    filemanip-0.3.6.3-CBmGxhpQpBIHDkFhPRACAp filepath-1.4.2.1
    logict-0.7.1.0-2e6296IAGzq1o1AwchyHgi
    optparse-applicative-0.17.0.0-1t7fxkFVvXn4R1Ycov0fb
    prettyprinter-1.7.1-9bwAyMlaUSyJVG7FMXWGKT
    tasty-1.4.3-F5jS0TcPgL077vxy1alhqa
    tasty-sugar-2.1.0.0-CjDWTRp7iM0BQNjWBszXlL-tasty-sugar-internal
    text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

